import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetAllSalaryRecordsResult, IGetSalaryRecordsByDatesParams, IInsertSalaryRecordsParams, IUpdateSalaryRecordParams } from '../types.js';
export declare class SalariesProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private batchSalaryRecordsByMonths;
    getSalaryRecordsByMonthLoader: DataLoader<string, import("../types.js").IGetSalaryRecordsByMonthResult[], string>;
    getSalaryRecordsByDates(params: IGetSalaryRecordsByDatesParams): Promise<import("../types.js").IGetSalaryRecordsByDatesResult[]>;
    private batchGetSalaryRecordsByChargeIds;
    getSalaryRecordsByChargeIdLoader: DataLoader<string, import("../types.js").IGetSalaryRecordsByChargeIdsResult[], string>;
    private allSalariesCache;
    getAllSalaryRecords(): Promise<IGetAllSalaryRecordsResult[]>;
    insertSalaryRecords(params: IInsertSalaryRecordsParams): Promise<import("../types.js").IInsertSalaryRecordsResult[]>;
    updateSalaryRecord(params: IUpdateSalaryRecordParams): Promise<import("../types.js").IUpdateSalaryRecordResult[]>;
    clearCache(): void;
}
